<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "insurance_marketplace_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "InsuranceMarketplaceLog".
 *
 * Columns in table "insurance_marketplace_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $provider_id
 * @property integer $practice_id
 * @property string $npi_id
 * @property integer $company_id
 * @property string $date_updated
 * @property string $date_processed
 * @property string $json
 *
 */
abstract class BaseInsuranceMarketplaceLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'insurance_marketplace_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'InsuranceMarketplaceLog|InsuranceMarketplaceLogs', $n);
    }

    public static function representingColumn()
    {
        return 'date_updated';
    }

    public function rules()
    {
        return array(
            array('company_id, date_updated', 'required'),
            array('provider_id, practice_id, company_id', 'numerical', 'integerOnly' => true),
            array('npi_id', 'length', 'max' => 10),
            array('date_processed, json', 'safe'),
            array('provider_id, practice_id, npi_id, date_processed, json', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_id, practice_id, npi_id, company_id, date_updated, date_processed, json', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_id' => Yii::t('app', 'Provider'),
            'practice_id' => Yii::t('app', 'Practice'),
            'npi_id' => Yii::t('app', 'Npi'),
            'company_id' => Yii::t('app', 'Company'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'date_processed' => Yii::t('app', 'Date Processed'),
            'json' => Yii::t('app', 'Json'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('npi_id', $this->npi_id, true);
        $criteria->compare('company_id', $this->company_id);
        $criteria->compare('date_updated', $this->date_updated, true);
        $criteria->compare('date_processed', $this->date_processed, true);
        $criteria->compare('json', $this->json, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
